from configparser import ConfigurationParser
from configwriter import ConfigurationWriter

class Configuration(object):
    def __init__(self):
        pass

    def load(self):
        parser = ConfigurationParser()
        parser.parse()
        
        self.bindings = parser.getBindings()
        self.settings = parser.getSettings()

    def save(self):
        ConfigurationWriter().write(self)
